from model.creature import Creature

# sztuczne dane, do momentu, kiedy użyjemy prawdziwej bazy danych
_creatures = [
    Creature(name="Yeti",
             aka="Abominable Snowman",
             country="CN",
             area="Himalaje",
             description="Hirsute Himalayan"),
    Creature(name="Bigfoot",
             description="Kuzyn Yeti Edek",
             country="US",
             area="*",
             aka="Sasquatch"),
    ]

def get_all() -> list[Creature]:
    """Zwróć wszystkie stworzenia"""
    return _creatures

def get_one(name: str) -> Creature | None:
    """Zwróć jedno stworzenie"""
    for _creature in _creatures:
        if _creature.name == name:
            return _creature
    return None

# Poniższe funkcje są na razie niefunkcjonalne,
# więc działają bez faktycznego modyfikowania
# listy _creatures
def create(creature: Creature) -> Creature:
    """Dodaj nowe stworzenie"""
    return creature

def modify(creature: Creature) -> Creature:
    """Częściowo zmodyfikuj stworzenie"""
    return creature

def replace(creature: Creature) -> Creature:
    """Całkowicie zastąp stworzenie"""
    return creature

def delete(name: str):
    """Usuń stworzenie, zwróć None, jeśli znaleziono."""
    return None
